=== debian/changelog ===
ros-lunar-rc-dynamics-api (0.7.1-0xenial) xenial; urgency=high

  * update cmake files for version and packaging

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 03 Feb 2019 23:00:00 -0000

ros-lunar-rc-dynamics-api (0.7.0-0xenial) xenial; urgency=high

  * add saveSlamMap, loadSlamMap and removeSlamMap methods
  * getSlamTrajectory doesn't time out by default anymore

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Jul 2018 22:00:00 -0000

ros-lunar-rc-dynamics-api (0.6.0-0xenial) xenial; urgency=high

  * add methods to access slam "reset" service
  * use single json.hpp include instead of submodule

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 18 Apr 2018 22:00:00 -0000

ros-lunar-rc-dynamics-api (0.5.0-0xenial) xenial; urgency=high

  * Updates for rc_visard image version v1.1.x with support for SLAM
  * added startSlam, restartSlam, stopSlam and getTrajectory
  * support Windows build

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 25 Feb 2018 23:00:00 -0000

ros-lunar-rc-dynamics-api (0.4.0-0xenial) xenial; urgency=high

  * refactoring: simplified csv-printing in rcdynamics_stream tool
  * refactoring: better exception handling
  * refactoring: renaming, wording is now PbMsgType instead of ProtoType
  * added '-l option' to rcdynamics_stream tool: list avail. streams
  * improvements and bug fixes in cmake
  * use rc_dynamics_msgs submodule

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 26 Sep 2017 22:00:00 -0000

ros-lunar-rc-dynamics-api (0.3.0-0xenial) xenial; urgency=high

  * start/stop rc_dynamics node instead of rc_stereo_ins
  * don't start/stop rc_dynamics for imu stream

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 05 Sep 2017 22:00:00 -0000

ros-lunar-rc-dynamics-api (0.2.1-0xenial) xenial; urgency=high

  * bug fix: header not installed

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 30 Aug 2017 22:00:00 -0000

ros-lunar-rc-dynamics-api (0.2.0-0xenial) xenial; urgency=high

  * bug fix: wrong name of tool: vins_stream -> rcdynamics_stream

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-lunar-rc-dynamics-api (0.1.0-0xenial) xenial; urgency=high

  * Initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 28 Aug 2017 22:00:00 -0000
